#!/bin/sh
#
# %% %%


# Compute an absolute pathname here because Class.getResource()
# fails if $CLASSPATH contains "../".
ABLE_HOME=`(cd ../; pwd)`
ABLE_JARS=${ABLE_HOME}/lib/able.jar:${ABLE_HOME}/lib/ablebeans.jar:${ABLE_HOME}/lib/ableexamples.jar:${ABLE_HOME}/lib/ablegui.jar:${ABLE_HOME}/lib/ableplatform.jar:${ABLE_HOME}/lib/able.rulesjar:${ABLE_HOME}/lib/ablex.jar:${ABLE_HOME}/lib/amabLogic.jar:${ABLE_HOME}/lib/antlr.jar:${ABLE_HOME}/lib/archiveaccessor.jar:${ABLE_HOME}/lib/bsf.jar:${ABLE_HOME}/lib/GFCall.jar::${ABLE_HOME}/lib/jas.jar${ABLE_HOME}/lib/jcchart361J.jar:${ABLE_HOME}/lib/jikesbt.jar:${ABLE_HOME}/lib/JLog.jar:${ABLE_HOME}/lib/js.jar:${ABLE_HOME}/lib/xerces.jar

ABLE_CLASSES=.:${ABLE_JARS}
if [ -z "$CLASSPATH" ] ; then
    CLASSPATH="${ABLE_CLASSES}"
else
    CLASSPATH="${ABLE_CLASSES}:$CLASSPATH"
fi

CMD="${JAVA_HOME}/bin/java  -Dable.home=${ABLE_HOME}  -Dable.prefdir=${ABLE_HOME}/..  -classpath ${CLASSPATH}  com.ibm.able.editor.AbleEditor"

echo ${CMD}
${CMD}

