@echo off
rem run the Able RuleSet Editor

rem Note: assumes that Java environment is set up; ie, java -version shows a java2 vm.
rem Must run from bin directory if ABLE_HOME is not set.
rem Must set ABLE_HOME directly if installed in directory name containing spaces
rem or if language is not English (output from dir must include words "Directory of").

rem Able ruleset editor requires ableeditor.jar antlr

if "%ABLE_HOME%" == "" goto SET_DIR
goto RUN_CMD

:SET_DIR
rem don't change name of DIRECTORY.BAT file; for each blank in path add "%%2 %%3"
echo set ABLE_HOME=%%2>DIRECTORY.BAT
dir ..\*. | find " Directory of ">TEMP.BAT
type temp.bat
call TEMP.BAT >NUL
DEL DIRECTORY.BAT >NUL
DEL TEMP.BAT >NUL
rem echo Able_Home is: %ABLE_HOME%

:RUN_CMD
@echo on
java -classpath ".;%ABLE_HOME%\lib\able.jar;%ABLE_HOME%\lib\ablebeans.jar;%ABLE_HOME%\lib\ableexamples.jar;%ABLE_HOME%\lib\ablegui.jar;%ABLE_HOME%\lib\ablerules.jar;%ABLE_HOME%\lib\ablex.jar;%ABLE_HOME%\lib\antlr.jar;%ABLE_HOME%\lib\archiveaccessor.jar;%ABLE_HOME%\lib\bsf.jar;%ABLE_HOME%\lib\jcchart361J.jar;%ABLE_HOME%\lib\jikesbt.jar;%ABLE_HOME%\lib\JLog.jar;%ABLE_HOME%\lib\js.jar;%ABLE_HOME%\lib\xerces.jar;%CLASSPATH%" -Dable.home="%ABLE_HOME%" -Dable.prefdir="%ABLE_HOME%\.." com.ibm.able.rules.AbleRuleSetEditorLauncher
@echo off
